<?php

// if($empr0['empr_codigo']=='imcp' and $user_codigo!=2){die('Espere........');}

// echo '====='.$info;

if(empty($info)){return;}
$show_times=1;
$show_times=0;
// ini_set('memory_limit', '8192M');

{
if($show_times==1){echo '<br> T0 : '.date('H:i:s');}
include('sele_info1.php');
if($show_times==1){echo '<br> T1 : '.date('H:i:s');}
include('sele_info2.php');
if($show_times==1){echo '<br> T2 : '.date('H:i:s');}
include('sele_info3.php');
if($show_times==1){echo '<br> T3 : '.date('H:i:s');}
include('sele_info4.php');
if($show_times==1){echo '<br> T4 : '.date('H:i:s');}     
}

if( (empty($prnt) and mb_stristr('.resu.blog.res1',substr($info,2,4))) or $sortdesc==1   )
{
     
     $sql_info=str_replace('order by fecha','order by fecha desc, idnum1 desc, iddet desc ',$sql_info);
     if($modu=='comp')
     {$sql_info=str_replace('order by fecha desc','order by fecha desc, enti_descri, numero desc, idnum1 desc, iddet desc ',$sql_info);}
     
     $sql_info=str_replace('order by enti_descri, fecha','order by enti_descri, fecha desc, idnum1 desc, iddet desc ',$sql_info);
     $sql_info=str_replace('order by docu,ptoe,numero','order by docu,ptoe,numero desc ',$sql_info);
     $sql_info=str_replace('order by idnum1 ','order by idnum1 desc ',$sql_info);
//      $sql_info=str_replace('desc desc','desc',$sql_info);
//      $sql_info=str_replace('desc desc','desc',$sql_info);
}


if(!empty($zgrupo))
{
//      $sql_info=str_replace('concepto,','concepto_hide,',$sql_info);
//      $sql_info=str_replace('detalle,','detalle_hide,',$sql_info);
}

if($user_codigo==2 or $user_codigo==3)
{
//      echo '<result>';
//      echo '<consolelog>';
//      echo '<br>==== '.$prnt;
//      echo '<br>==== '.$modu;
//      echo '<br>==== '.$info;
//      echo '<br>==== '.$sql_info;
//      echo '</consolelog>';
//      echo '</result>';
     
//      $sql_info='';

//      die();
//      $sql_explain = 'explain '.$sql_info;
//      $res_explain = msql_query($sql_explain,$link_data);
//      $zreso=$res_explain;
//      $zhidetbns=1;     
//      include ('ele_grid.php');     
     
//      $sql_info='';
}
?>